Package org.pushingpixels.flamingo.internal.ui.common.popup

# Class BasicPopupPanelUI.PopupPanelEscapeDismisser

java.lang.Object
org.pushingpixels.flamingo.internal.ui.common.popup.BasicPopupPanelUI.PopupPanelEscapeDismisser

All Implemented Interfaces:
  `EventListener`, `PopupPanelManager.PopupListener`

Enclosing class:
  `BasicPopupPanelUI`

protected static class BasicPopupPanelUI.PopupPanelEscapeDismisser extends Object implements PopupPanelManager.PopupListener
This class is used to trace the changes in the shown popup panels and install ESC key listener on the matching root pane so that the popup panels can be dismissed with the ESC key.

## Constructor Summary

Constructors
Constructor
Description
`PopupPanelEscapeDismisser()`
Creates a new tracer for popup panels to be dismissed with ESC key.

## Method Summary

Modifier and Type
Method
Description
`void`
`popupHidden(PopupPanelManager.PopupEvent event)`
Fired when a popup panel has been hidden.
`void`
`popupShown(PopupPanelManager.PopupEvent event)`
Fired when a popup panel has been shown.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PopupPanelEscapeDismisser

public PopupPanelEscapeDismisser()
Creates a new tracer for popup panels to be dismissed with ESC key.

## Method Details

### popupHidden

public void popupHidden(PopupPanelManager.PopupEvent event)
Description copied from interface: `PopupPanelManager.PopupListener`
Fired when a popup panel has been hidden.

Specified by:
  `popupHidden` in interface `PopupPanelManager.PopupListener`
Parameters:
  `event` - Popup event.

### popupShown

public void popupShown(PopupPanelManager.PopupEvent event)
Description copied from interface: `PopupPanelManager.PopupListener`
Fired when a popup panel has been shown.

Specified by:
  `popupShown` in interface `PopupPanelManager.PopupListener`
Parameters:
  `event` - Popup event.